Index: cpukit/score/cpu/avr/avr/crc16.h
===================================================================
--- cpukit/score/cpu/avr/avr/crc16.h	(revision 9abeca85e54e3213fd8a62e570586a30468440a7)
+++ cpukit/score/cpu/avr/avr/crc16.h	(revision b98bb9e973c1f1292a24e090d03ddb9ea678ca21)
@@ -1,31 +1,39 @@
-/* Copyright (c) 2005 Joerg Wunsch
-   All rights reserved.
+/**
+ * @file
+ *
+ * @brief Moved to <util/crc16.h>
+ */
 
-   Redistribution and use in source and binary forms, with or without
-   modification, are permitted provided that the following conditions are met:
-
-   * Redistributions of source code must retain the above copyright
-     notice, this list of conditions and the following disclaimer.
-
-   * Redistributions in binary form must reproduce the above copyright
-     notice, this list of conditions and the following disclaimer in
-     the documentation and/or other materials provided with the
-     distribution.
-
-   * Neither the name of the copyright holders nor the names of
-     contributors may be used to endorse or promote products derived
-     from this software without specific prior written permission.
-
-  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
-  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
-  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
-  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
-  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
-  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
-  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
-  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
-  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
-  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
-  POSSIBILITY OF SUCH DAMAGE. */
+/*
+ *  Copyright (c) 2005 Joerg Wunsch
+ *  All rights reserved.
+ *
+ *   Redistribution and use in source and binary forms, with or without
+ *   modification, are permitted provided that the following conditions are met:
+ *
+ * * Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ *
+ * * Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in
+ *   the documentation and/or other materials provided with the
+ *   distribution.
+ *
+ * * Neither the name of the copyright holders nor the names of
+ *   contributors may be used to endorse or promote products derived
+ *   from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
+ * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ * POSSIBILITY OF SUCH DAMAGE.
+ */
 
 
@@ -33,6 +41,14 @@
 #define _AVR_CRC16_H_
 
+/**
+ *  @defgroup Avr_crc16 crc16
+ *
+ *  @ingroup avr
+ */
+/**@{*/
+
 #warning "This file has been moved to <util/crc16.h>."
 #include <util/crc16.h>
 
+/**@}*/
 #endif /* _AVR_CRC16_H_ */
Index: cpukit/score/cpu/avr/avr/io43u32x.h
===================================================================
--- cpukit/score/cpu/avr/avr/io43u32x.h	(revision 9abeca85e54e3213fd8a62e570586a30468440a7)
+++ cpukit/score/cpu/avr/avr/io43u32x.h	(revision b98bb9e973c1f1292a24e090d03ddb9ea678ca21)
@@ -1,39 +1,51 @@
-/* Copyright (c) 2003,2005 Keith Gudger
-   All rights reserved.
-
-   Redistribution and use in source and binary forms, with or without
-   modification, are permitted provided that the following conditions are met:
-
-   * Redistributions of source code must retain the above copyright
-     notice, this list of conditions and the following disclaimer.
-
-   * Redistributions in binary form must reproduce the above copyright
-     notice, this list of conditions and the following disclaimer in
-     the documentation and/or other materials provided with the
-     distribution.
-
-   * Neither the name of the copyright holders nor the names of
-     contributors may be used to endorse or promote products derived
-     from this software without specific prior written permission.
-
-  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
-  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
-  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
-  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
-  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
-  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
-  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
-  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
-  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
-  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
-  POSSIBILITY OF SUCH DAMAGE. */
-
-
-/* avr/io43u32x.h - definitions for AT43USB32x */
+/**
+ * @file avr/io43u32x.h
+ *
+ * @brief Definitions for AT43USB32x
+ *
+ * This file should only be included from <avr/io.h>, never directly.
+ */
+
+/*
+ *  Copyright (c) 2003,2005 Keith Gudger
+ *  All rights reserved.
+ *
+ *   Redistribution and use in source and binary forms, with or without
+ *   modification, are permitted provided that the following conditions are met:
+ *
+ * * Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ *
+ * * Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in
+ *   the documentation and/or other materials provided with the
+ *   distribution.
+ *
+ * * Neither the name of the copyright holders nor the names of
+ *   contributors may be used to endorse or promote products derived
+ *   from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
+ * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ * POSSIBILITY OF SUCH DAMAGE.
+ */
 
 #ifndef _AVR_IO43U32X_H_
 #define _AVR_IO43U32X_H_ 1
 
-/* This file should only be included from <avr/io.h>, never directly. */
+/**
+ *  @defgroup Avr_io43u32x AT43USB32x Definitions
+ *
+ *  @ingroup avr
+ */
+/**@{*/
 
 #ifndef _AVR_IO_H_
@@ -45,5 +57,5 @@
 #else
 #  error "Attempt to include more than one <avr/ioXXX.h> file."
-#endif 
+#endif
 
 /* I/O registers */
@@ -71,5 +83,5 @@
 
 /* Data Register, Port E */
-#define PORTE	_SFR_IO8(0x03) 
+#define PORTE	_SFR_IO8(0x03)
 
 /* SPI Control Register */
@@ -433,3 +445,4 @@
 #define    FLASHEND 0x0FFFF
 
+/**@}*/
 #endif /* _AVR_43USB32X_H_ */
Index: cpukit/score/cpu/avr/avr/io4434.h
===================================================================
--- cpukit/score/cpu/avr/avr/io4434.h	(revision 9abeca85e54e3213fd8a62e570586a30468440a7)
+++ cpukit/score/cpu/avr/avr/io4434.h	(revision b98bb9e973c1f1292a24e090d03ddb9ea678ca21)
@@ -1,39 +1,51 @@
-/* Copyright (c) 2002, Marek Michalkiewicz
-   All rights reserved.
-
-   Redistribution and use in source and binary forms, with or without
-   modification, are permitted provided that the following conditions are met:
-
-   * Redistributions of source code must retain the above copyright
-     notice, this list of conditions and the following disclaimer.
-
-   * Redistributions in binary form must reproduce the above copyright
-     notice, this list of conditions and the following disclaimer in
-     the documentation and/or other materials provided with the
-     distribution.
-
-   * Neither the name of the copyright holders nor the names of
-     contributors may be used to endorse or promote products derived
-     from this software without specific prior written permission.
-
-  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
-  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
-  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
-  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
-  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
-  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
-  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
-  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
-  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
-  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
-  POSSIBILITY OF SUCH DAMAGE. */
-
-
-/* avr/io4434.h - definitions for AT90S4434 */
+/**
+ * @file avr/io4434.h
+ *
+ * @brief Definitions for AT90S4434
+ *
+ * This file should only be included from <avr/io.h>, never directly.
+ */
+
+/*
+ *  Copyright (c) 2002 Marek Michalkiewicz
+ *  All rights reserved.
+ *
+ *   Redistribution and use in source and binary forms, with or without
+ *   modification, are permitted provided that the following conditions are met:
+ *
+ * * Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ *
+ * * Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in
+ *   the documentation and/or other materials provided with the
+ *   distribution.
+ *
+ * * Neither the name of the copyright holders nor the names of
+ *   contributors may be used to endorse or promote products derived
+ *   from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
+ * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ * POSSIBILITY OF SUCH DAMAGE.
+ */
 
 #ifndef _AVR_IO4434_H_
 #define _AVR_IO4434_H_ 1
 
-/* This file should only be included from <avr/io.h>, never directly. */
+/**
+ *  @defgroup Avr_io4434 AT90S4434 Definitions
+ *
+ *  @ingroup avr
+ */
+/**@{*/
 
 #ifndef _AVR_IO_H_
@@ -45,5 +57,5 @@
 #else
 #  error "Attempt to include more than one <avr/ioXXX.h> file."
-#endif 
+#endif
 
 /* I/O registers */
@@ -563,4 +575,4 @@
 #define SIGNATURE_2 0x03
 
-
+/**@}*/
 #endif /* _AVR_IO4434_H_ */
Index: cpukit/score/cpu/avr/avr/ioat94k.h
===================================================================
--- cpukit/score/cpu/avr/avr/ioat94k.h	(revision 9abeca85e54e3213fd8a62e570586a30468440a7)
+++ cpukit/score/cpu/avr/avr/ioat94k.h	(revision b98bb9e973c1f1292a24e090d03ddb9ea678ca21)
@@ -1,39 +1,44 @@
-/* Copyright (c) 2002, Marek Michalkiewicz
-   All rights reserved.
-
-   Redistribution and use in source and binary forms, with or without
-   modification, are permitted provided that the following conditions are met:
-
-   * Redistributions of source code must retain the above copyright
-     notice, this list of conditions and the following disclaimer.
-
-   * Redistributions in binary form must reproduce the above copyright
-     notice, this list of conditions and the following disclaimer in
-     the documentation and/or other materials provided with the
-     distribution.
-
-   * Neither the name of the copyright holders nor the names of
-     contributors may be used to endorse or promote products derived
-     from this software without specific prior written permission.
-
-  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
-  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
-  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
-  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
-  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
-  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
-  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
-  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
-  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
-  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
-  POSSIBILITY OF SUCH DAMAGE. */
-
-
-/* avr/ioat94k.h - definitions for AT94K series FPSLIC(tm) */
+/**
+ * @file avr/ioat94k.h
+ *
+ * @brief Definitions for AT94K Series FPSLIC(tm)
+ *
+ * This file should only be included from <avr/io.h>, never directly.
+ */
+
+/*
+ *  Copyright (c) 2002 Marek Michalkiewicz
+ *  All rights reserved.
+ *
+ *   Redistribution and use in source and binary forms, with or without
+ *   modification, are permitted provided that the following conditions are met:
+ *
+ * * Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ *
+ * * Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in
+ *   the documentation and/or other materials provided with the
+ *   distribution.
+ *
+ * * Neither the name of the copyright holders nor the names of
+ *   contributors may be used to endorse or promote products derived
+ *   from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
+ * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ * POSSIBILITY OF SUCH DAMAGE.
+ */
 
 #ifndef _AVR_IOAT94K_H_
 #define _AVR_IOAT94K_H_ 1
-
-/* This file should only be included from <avr/io.h>, never directly. */
 
 #ifndef _AVR_IO_H_
@@ -45,5 +50,12 @@
 #else
 #  error "Attempt to include more than one <avr/ioXXX.h> file."
-#endif 
+#endif
+
+/**
+ *  @defgroup Avr_ioat94k AT94K Series FPSLIC(tm) Definitions
+ *
+ *  @ingroup avr
+ */
+/**@{*/
 
 /* I/O registers */
@@ -210,31 +222,31 @@
 /* Interrupt vectors */
 
-#define SIG_FPGA_INTERRUPT0     _VECTOR(1)   /* FPGA_INT0  */        
+#define SIG_FPGA_INTERRUPT0     _VECTOR(1)   /* FPGA_INT0  */
 #define SIG_INTERRUPT0          _VECTOR(2)   /* EXT_INT0   */
-#define SIG_FPGA_INTERRUPT1     _VECTOR(3)   /* FPGA_INT1  */        
+#define SIG_FPGA_INTERRUPT1     _VECTOR(3)   /* FPGA_INT1  */
 #define SIG_INTERRUPT1          _VECTOR(4)   /* EXT_INT1   */
-#define SIG_FPGA_INTERRUPT2     _VECTOR(5)   /* FPGA_INT2  */        
+#define SIG_FPGA_INTERRUPT2     _VECTOR(5)   /* FPGA_INT2  */
 #define SIG_INTERRUPT2          _VECTOR(6)   /* EXT_INT2   */
-#define SIG_FPGA_INTERRUPT3     _VECTOR(7)   /* FPGA_INT3  */        
+#define SIG_FPGA_INTERRUPT3     _VECTOR(7)   /* FPGA_INT3  */
 #define SIG_INTERRUPT3          _VECTOR(8)   /* EXT_INT3   */
-#define SIG_OUTPUT_COMPARE2     _VECTOR(9)   /* TIM2_COMP  */        
-#define SIG_OVERFLOW2           _VECTOR(10)  /* TIM2_OVF   */        
-#define SIG_INPUT_CAPTURE1      _VECTOR(11)  /* TIM1_CAPT  */        
-#define SIG_OUTPUT_COMPARE1A    _VECTOR(12)  /* TIM1_COMPA */        
-#define SIG_OUTPUT_COMPARE1B    _VECTOR(13)  /* TIM1_COMPB */        
-#define SIG_OVERFLOW1           _VECTOR(14)  /* TIM1_OVF   */        
-#define SIG_OUTPUT_COMPARE0     _VECTOR(15)  /* TIM0_COMP  */        
-#define SIG_OVERFLOW0           _VECTOR(16)  /* TIM0_OVF   */        
-#define SIG_FPGA_INTERRUPT4     _VECTOR(17)  /* FPGA_INT4  */        
-#define SIG_FPGA_INTERRUPT5     _VECTOR(18)  /* FPGA_INT5  */        
-#define SIG_FPGA_INTERRUPT6     _VECTOR(19)  /* FPGA_INT6  */        
-#define SIG_FPGA_INTERRUPT7     _VECTOR(20)  /* FPGA_INT7  */        
+#define SIG_OUTPUT_COMPARE2     _VECTOR(9)   /* TIM2_COMP  */
+#define SIG_OVERFLOW2           _VECTOR(10)  /* TIM2_OVF   */
+#define SIG_INPUT_CAPTURE1      _VECTOR(11)  /* TIM1_CAPT  */
+#define SIG_OUTPUT_COMPARE1A    _VECTOR(12)  /* TIM1_COMPA */
+#define SIG_OUTPUT_COMPARE1B    _VECTOR(13)  /* TIM1_COMPB */
+#define SIG_OVERFLOW1           _VECTOR(14)  /* TIM1_OVF   */
+#define SIG_OUTPUT_COMPARE0     _VECTOR(15)  /* TIM0_COMP  */
+#define SIG_OVERFLOW0           _VECTOR(16)  /* TIM0_OVF   */
+#define SIG_FPGA_INTERRUPT4     _VECTOR(17)  /* FPGA_INT4  */
+#define SIG_FPGA_INTERRUPT5     _VECTOR(18)  /* FPGA_INT5  */
+#define SIG_FPGA_INTERRUPT6     _VECTOR(19)  /* FPGA_INT6  */
+#define SIG_FPGA_INTERRUPT7     _VECTOR(20)  /* FPGA_INT7  */
 #define SIG_UART0_RECV          _VECTOR(21)  /* UART0_RXC  */
 #define SIG_UART0_DATA          _VECTOR(22)  /* UART0_DRE  */
 #define SIG_UART0_TRANS         _VECTOR(23)  /* UART0_TXC  */
-#define SIG_FPGA_INTERRUPT8     _VECTOR(24)  /* FPGA_INT8  */        
-#define SIG_FPGA_INTERRUPT9     _VECTOR(25)  /* FPGA_INT9  */        
-#define SIG_FPGA_INTERRUPT10    _VECTOR(26)  /* FPGA_INT10 */        
-#define SIG_FPGA_INTERRUPT11    _VECTOR(27)  /* FPGA_INT11 */        
+#define SIG_FPGA_INTERRUPT8     _VECTOR(24)  /* FPGA_INT8  */
+#define SIG_FPGA_INTERRUPT9     _VECTOR(25)  /* FPGA_INT9  */
+#define SIG_FPGA_INTERRUPT10    _VECTOR(26)  /* FPGA_INT10 */
+#define SIG_FPGA_INTERRUPT11    _VECTOR(27)  /* FPGA_INT11 */
 #define SIG_UART1_RECV          _VECTOR(28)  /* UART1_RXC  */
 #define SIG_UART1_DATA          _VECTOR(29)  /* UART1_DRE  */
@@ -554,3 +566,4 @@
 #endif
 
+/**@}*/
 #endif /* _AVR_IOAT94K_H_ */
Index: cpukit/score/cpu/avr/avr/iom1281.h
===================================================================
--- cpukit/score/cpu/avr/avr/iom1281.h	(revision 9abeca85e54e3213fd8a62e570586a30468440a7)
+++ cpukit/score/cpu/avr/avr/iom1281.h	(revision b98bb9e973c1f1292a24e090d03ddb9ea678ca21)
@@ -1,37 +1,50 @@
-/* Copyright (c) 2005 Anatoly Sokolov 
-   All rights reserved.
+/**
+ * @file avr/iom1281.h
+ *
+ * @brief Definitions for ATmega1281
+ */
 
-   Redistribution and use in source and binary forms, with or without
-   modification, are permitted provided that the following conditions are met:
+/*
+ *  Copyright (c) 2005 Anatoly Sokolov
+ *  All rights reserved.
+ *
+ *   Redistribution and use in source and binary forms, with or without
+ *   modification, are permitted provided that the following conditions are met:
+ *
+ * * Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ *
+ * * Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in
+ *   the documentation and/or other materials provided with the
+ *   distribution.
+ *
+ * * Neither the name of the copyright holders nor the names of
+ *   contributors may be used to endorse or promote products derived
+ *   from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
+ * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ * POSSIBILITY OF SUCH DAMAGE.
+ */
 
-   * Redistributions of source code must retain the above copyright
-     notice, this list of conditions and the following disclaimer.
-
-   * Redistributions in binary form must reproduce the above copyright
-     notice, this list of conditions and the following disclaimer in
-     the documentation and/or other materials provided with the
-     distribution.
-
-   * Neither the name of the copyright holders nor the names of
-     contributors may be used to endorse or promote products derived
-     from this software without specific prior written permission.
-
-  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
-  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
-  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
-  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
-  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
-  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
-  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
-  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
-  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
-  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
-  POSSIBILITY OF SUCH DAMAGE. */
-
-
-/* avr/iom1281.h - definitions for ATmega1281 */
 
 #ifndef _AVR_IOM1281_H_
 #define _AVR_IOM1281_H_ 1
+
+/**
+ *  @defgroup Avr_iom1281 ATmega1281 Definitions
+ *
+ *  @ingroup avr
+ */
+/**@{*/
 
 #include <avr/iomxx0_1.h>
@@ -82,5 +95,5 @@
 #define __LOCK_BITS_EXIST
 #define __BOOT_LOCK_BITS_0_EXIST
-#define __BOOT_LOCK_BITS_1_EXIST 
+#define __BOOT_LOCK_BITS_1_EXIST
 
 
@@ -90,4 +103,4 @@
 #define SIGNATURE_2 0x04
 
-
+/**@}*/
 #endif /* _AVR_IOM1281_H_ */
Index: cpukit/score/cpu/avr/avr/iom16m1.h
===================================================================
--- cpukit/score/cpu/avr/avr/iom16m1.h	(revision 9abeca85e54e3213fd8a62e570586a30468440a7)
+++ cpukit/score/cpu/avr/avr/iom16m1.h	(revision b98bb9e973c1f1292a24e090d03ddb9ea678ca21)
@@ -1,36 +1,41 @@
-/* Copyright (c) 2009 Atmel Corporation
-   All rights reserved.
-
-   Redistribution and use in source and binary forms, with or without
-   modification, are permitted provided that the following conditions are met:
-
-   * Redistributions of source code must retain the above copyright
-     notice, this list of conditions and the following disclaimer.
-
-   * Redistributions in binary form must reproduce the above copyright
-     notice, this list of conditions and the following disclaimer in
-     the documentation and/or other materials provided with the
-     distribution.
-
-   * Neither the name of the copyright holders nor the names of
-     contributors may be used to endorse or promote products derived
-     from this software without specific prior written permission.
-
-  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
-  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
-  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
-  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
-  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
-  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
-  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
-  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
-  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
-  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
-  POSSIBILITY OF SUCH DAMAGE. */
-
-
-/* avr/iom16m1.h - definitions for ATmega16M1 */
-
-/* This file should only be included from <avr/io.h>, never directly. */
+/**
+ * @file avr/iom16m1.h
+ *
+ * @brief Definitions for ATmega16M1
+ *
+ * This file should only be included from <avr/io.h>, never directly.
+ */
+
+/*
+ *  Copyright (c) 2009 Atmel Corporation
+ *  All rights reserved.
+ *
+ *   Redistribution and use in source and binary forms, with or without
+ *   modification, are permitted provided that the following conditions are met:
+ *
+ * * Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ *
+ * * Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in
+ *   the documentation and/or other materials provided with the
+ *   distribution.
+ *
+ * * Neither the name of the copyright holders nor the names of
+ *   contributors may be used to endorse or promote products derived
+ *   from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
+ * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ * POSSIBILITY OF SUCH DAMAGE.
+ */
 
 #ifndef _AVR_IO_H_
@@ -42,5 +47,5 @@
 #else
 #  error "Attempt to include more than one <avr/ioXXX.h> file."
-#endif 
+#endif
 
 
@@ -48,4 +53,10 @@
 #define _AVR_ATmega16M1_H_ 1
 
+/**
+ *  @defgroup Avr_iom16m1 ATmega16M1 Definitions
+ *
+ *  @ingroup avr
+ */
+/**@{*/
 
 /* Registers and associated bit numbers. */
@@ -1543,5 +1554,4 @@
 #define SIGNATURE_2 0x84
 
-
+/**@}*/
 #endif /* _AVR_ATmega16M1_H_ */
-
Index: cpukit/score/cpu/avr/avr/iom16u2.h
===================================================================
--- cpukit/score/cpu/avr/avr/iom16u2.h	(revision 9abeca85e54e3213fd8a62e570586a30468440a7)
+++ cpukit/score/cpu/avr/avr/iom16u2.h	(revision b98bb9e973c1f1292a24e090d03ddb9ea678ca21)
@@ -1,36 +1,41 @@
-/* Copyright (c) 2009 Atmel Corporation
-   All rights reserved.
-
-   Redistribution and use in source and binary forms, with or without
-   modification, are permitted provided that the following conditions are met:
-
-   * Redistributions of source code must retain the above copyright
-     notice, this list of conditions and the following disclaimer.
-
-   * Redistributions in binary form must reproduce the above copyright
-     notice, this list of conditions and the following disclaimer in
-     the documentation and/or other materials provided with the
-     distribution.
-
-   * Neither the name of the copyright holders nor the names of
-     contributors may be used to endorse or promote products derived
-     from this software without specific prior written permission.
-
-  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
-  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
-  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
-  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
-  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
-  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
-  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
-  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
-  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
-  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
-  POSSIBILITY OF SUCH DAMAGE. */
-
-
-/* avr/iom16u2.h - definitions for ATmega16U2 */
-
-/* This file should only be included from <avr/io.h>, never directly. */
+/**
+ * @file avr/iom16u2.h
+ *
+ * @brief Definitions for ATmega16U2
+ *
+ * This file should only be included from <avr/io.h>, never directly.
+ */
+
+/*
+ *  Copyright (c) 2009 Atmel Corporation
+ *  All rights reserved.
+ *
+ *   Redistribution and use in source and binary forms, with or without
+ *   modification, are permitted provided that the following conditions are met:
+ *
+ * * Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ *
+ * * Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in
+ *   the documentation and/or other materials provided with the
+ *   distribution.
+ *
+ * * Neither the name of the copyright holders nor the names of
+ *   contributors may be used to endorse or promote products derived
+ *   from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
+ * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ * POSSIBILITY OF SUCH DAMAGE.
+ */
 
 #ifndef _AVR_IO_H_
@@ -42,5 +47,5 @@
 #else
 #  error "Attempt to include more than one <avr/ioXXX.h> file."
-#endif 
+#endif
 
 
@@ -48,4 +53,10 @@
 #define _AVR_ATmega16U2_H_ 1
 
+/**
+ *  @defgroup Avr_iom16u2 ATmega16U2 Definitions
+ *
+ *  @ingroup avr
+ */
+/**@{*/
 
 /* Registers and associated bit numbers. */
@@ -974,6 +985,6 @@
 #define SIGNATURE_2 0x89
 
+/**@}*/
 
 /* Device Pin Definitions */
 #endif /* _AVR_ATmega16U2_H_ */
-
Index: cpukit/score/cpu/avr/avr/iom323.h
===================================================================
--- cpukit/score/cpu/avr/avr/iom323.h	(revision 9abeca85e54e3213fd8a62e570586a30468440a7)
+++ cpukit/score/cpu/avr/avr/iom323.h	(revision b98bb9e973c1f1292a24e090d03ddb9ea678ca21)
@@ -1,39 +1,51 @@
-/* Copyright (c) 2002, Marek Michalkiewicz
-   All rights reserved.
-
-   Redistribution and use in source and binary forms, with or without
-   modification, are permitted provided that the following conditions are met:
-
-   * Redistributions of source code must retain the above copyright
-     notice, this list of conditions and the following disclaimer.
-
-   * Redistributions in binary form must reproduce the above copyright
-     notice, this list of conditions and the following disclaimer in
-     the documentation and/or other materials provided with the
-     distribution.
-
-   * Neither the name of the copyright holders nor the names of
-     contributors may be used to endorse or promote products derived
-     from this software without specific prior written permission.
-
-  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
-  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
-  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
-  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
-  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
-  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
-  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
-  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
-  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
-  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
-  POSSIBILITY OF SUCH DAMAGE. */
-
-
-/* avr/iom323.h - definitions for ATmega323 */
+/**
+ * @file avr/iom323.h
+ *
+ * @brief Definitions for ATmega323
+ *
+ * This file should only be included from <avr/io.h>, never directly.
+ */
+
+/*
+ *  Copyright (c) 2002 Marek Michalkiewicz
+ *  All rights reserved.
+ *
+ *   Redistribution and use in source and binary forms, with or without
+ *   modification, are permitted provided that the following conditions are met:
+ *
+ * * Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ *
+ * * Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in
+ *   the documentation and/or other materials provided with the
+ *   distribution.
+ *
+ * * Neither the name of the copyright holders nor the names of
+ *   contributors may be used to endorse or promote products derived
+ *   from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
+ * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ * POSSIBILITY OF SUCH DAMAGE.
+ */
 
 #ifndef _AVR_IOM323_H_
 #define _AVR_IOM323_H_ 1
 
-/* This file should only be included from <avr/io.h>, never directly. */
+/**
+ *  @defgroup Avr_iom323 ATmega323 Definitions
+ *
+ *  @ingroup avr
+ */
+/**@{*/
 
 #ifndef _AVR_IO_H_
@@ -45,5 +57,5 @@
 #else
 #  error "Attempt to include more than one <avr/ioXXX.h> file."
-#endif 
+#endif
 
 /* I/O registers */
@@ -676,5 +688,5 @@
 #define __LOCK_BITS_EXIST
 #define __BOOT_LOCK_BITS_0_EXIST
-#define __BOOT_LOCK_BITS_1_EXIST 
+#define __BOOT_LOCK_BITS_1_EXIST
 
 
@@ -684,4 +696,4 @@
 #define SIGNATURE_2 0x01
 
-
+/**@}*/
 #endif /* _AVR_IOM323_H_ */
Index: cpukit/score/cpu/avr/avr/iom88p.h
===================================================================
--- cpukit/score/cpu/avr/avr/iom88p.h	(revision 9abeca85e54e3213fd8a62e570586a30468440a7)
+++ cpukit/score/cpu/avr/avr/iom88p.h	(revision b98bb9e973c1f1292a24e090d03ddb9ea678ca21)
@@ -1,37 +1,41 @@
-/* Copyright (c) 2007 Atmel Corporation
-   All rights reserved.
-
-   Redistribution and use in source and binary forms, with or without
-   modification, are permitted provided that the following conditions are met:
-
-   * Redistributions of source code must retain the above copyright
-     notice, this list of conditions and the following disclaimer.
-
-   * Redistributions in binary form must reproduce the above copyright
-     notice, this list of conditions and the following disclaimer in
-     the documentation and/or other materials provided with the
-     distribution.
-
-   * Neither the name of the copyright holders nor the names of
-     contributors may be used to endorse or promote products derived
-     from this software without specific prior written permission.
-
-  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
-  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
-  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
-  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
-  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
-  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
-  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
-  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
-  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
-  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
-  POSSIBILITY OF SUCH DAMAGE. 
-*/
-
-
-/* avr/iom88p.h - definitions for ATmega88P. */
-
-/* This file should only be included from <avr/io.h>, never directly. */
+/**
+ * @file avr/iom88p.h
+ *
+ * @brief Definitions for ATmega88P
+ *
+ * This file should only be included from <avr/io.h>, never directly.
+ */
+
+/*
+ *  Copyright (c) 2007 Atmel Corporation
+ *  All rights reserved.
+ *
+ *   Redistribution and use in source and binary forms, with or without
+ *   modification, are permitted provided that the following conditions are met:
+ *
+ * * Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ *
+ * * Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in
+ *   the documentation and/or other materials provided with the
+ *   distribution.
+ *
+ * * Neither the name of the copyright holders nor the names of
+ *   contributors may be used to endorse or promote products derived
+ *   from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
+ * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ * POSSIBILITY OF SUCH DAMAGE.
+ */
 
 #ifndef _AVR_IO_H_
@@ -43,9 +47,16 @@
 #else
 #  error "Attempt to include more than one <avr/ioXXX.h> file."
-#endif 
+#endif
 
 
 #ifndef _AVR_IOM88P_H_
 #define _AVR_IOM88P_H_ 1
+
+/**
+ *  @defgroup Avr_iom88p ATmega88P Definitions
+ *
+ *  @ingroup avr
+ */
+/**@{*/
 
 /* Registers and associated bit numbers */
@@ -331,5 +342,5 @@
 
 #define MCUCR _SFR_IO8(0x35)
-#define IVCE 0 
+#define IVCE 0
 #define IVSEL 1
 #define PUD 4
@@ -796,5 +807,5 @@
 #define TIMER1_CAPT_vect  _VECTOR(10)  /* Timer/Counter1 Capture Event */
 #define TIMER1_COMPA_vect _VECTOR(11)  /* Timer/Counter1 Compare Match A */
-#define TIMER1_COMPB_vect _VECTOR(12)  /* Timer/Counter1 Compare Match B */ 
+#define TIMER1_COMPB_vect _VECTOR(12)  /* Timer/Counter1 Compare Match B */
 #define TIMER1_OVF_vect   _VECTOR(13)  /* Timer/Counter1 Overflow */
 #define TIMER0_COMPA_vect _VECTOR(14)  /* TimerCounter0 Compare Match A */
@@ -862,5 +873,5 @@
 #define __LOCK_BITS_EXIST
 #define __BOOT_LOCK_BITS_0_EXIST
-#define __BOOT_LOCK_BITS_1_EXIST 
+#define __BOOT_LOCK_BITS_1_EXIST
 
 
@@ -870,4 +881,4 @@
 #define SIGNATURE_2 0x0F
 
-
+/**@}*/
 #endif  /* _AVR_IOM88P_H_ */
Index: cpukit/score/cpu/avr/avr/iotn12.h
===================================================================
--- cpukit/score/cpu/avr/avr/iotn12.h	(revision 9abeca85e54e3213fd8a62e570586a30468440a7)
+++ cpukit/score/cpu/avr/avr/iotn12.h	(revision b98bb9e973c1f1292a24e090d03ddb9ea678ca21)
@@ -1,39 +1,51 @@
-/* Copyright (c) 2002,2005 Marek Michalkiewicz
-   All rights reserved.
-
-   Redistribution and use in source and binary forms, with or without
-   modification, are permitted provided that the following conditions are met:
-
-   * Redistributions of source code must retain the above copyright
-     notice, this list of conditions and the following disclaimer.
-
-   * Redistributions in binary form must reproduce the above copyright
-     notice, this list of conditions and the following disclaimer in
-     the documentation and/or other materials provided with the
-     distribution.
-
-   * Neither the name of the copyright holders nor the names of
-     contributors may be used to endorse or promote products derived
-     from this software without specific prior written permission.
-
-  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
-  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
-  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
-  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
-  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
-  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
-  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
-  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
-  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
-  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
-  POSSIBILITY OF SUCH DAMAGE. */
-
-
-/* avr/iotn12.h - definitions for ATtiny12 */
+/**
+ * @file avr/iotn12.h
+ *
+ * @brief Definitions for ATtiny12
+ *
+ * This file should only be included from <avr/io.h>, never directly.
+ */
+
+/*
+ *  Copyright (c) 2002,2005 Marek Michalkiewicz
+ *  All rights reserved.
+ *
+ *   Redistribution and use in source and binary forms, with or without
+ *   modification, are permitted provided that the following conditions are met:
+ *
+ * * Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ *
+ * * Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in
+ *   the documentation and/or other materials provided with the
+ *   distribution.
+ *
+ * * Neither the name of the copyright holders nor the names of
+ *   contributors may be used to endorse or promote products derived
+ *   from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
+ * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ * POSSIBILITY OF SUCH DAMAGE.
+ */
 
 #ifndef _AVR_IOTN12_H_
 #define _AVR_IOTN12_H_ 1
 
-/* This file should only be included from <avr/io.h>, never directly. */
+/**
+ *  @defgroup Avr_iotn12 ATtiny12 Definitions
+ *
+ *  @ingroup avr
+ */
+/**@{*/
 
 #ifndef _AVR_IO_H_
@@ -45,5 +57,5 @@
 #else
 #  error "Attempt to include more than one <avr/ioXXX.h> file."
-#endif 
+#endif
 
 #ifndef __ASSEMBLER__
@@ -261,4 +273,4 @@
 #define SIGNATURE_2 0x05
 
-
+/**@}*/
 #endif /* _AVR_IOTN12_H_ */
Index: cpukit/score/cpu/avr/avr/iotn2313a.h
===================================================================
--- cpukit/score/cpu/avr/avr/iotn2313a.h	(revision 9abeca85e54e3213fd8a62e570586a30468440a7)
+++ cpukit/score/cpu/avr/avr/iotn2313a.h	(revision b98bb9e973c1f1292a24e090d03ddb9ea678ca21)
@@ -1,36 +1,41 @@
-/* Copyright (c) 2009 Atmel Corporation
-   All rights reserved.
-
-   Redistribution and use in source and binary forms, with or without
-   modification, are permitted provided that the following conditions are met:
-
-   * Redistributions of source code must retain the above copyright
-     notice, this list of conditions and the following disclaimer.
-
-   * Redistributions in binary form must reproduce the above copyright
-     notice, this list of conditions and the following disclaimer in
-     the documentation and/or other materials provided with the
-     distribution.
-
-   * Neither the name of the copyright holders nor the names of
-     contributors may be used to endorse or promote products derived
-     from this software without specific prior written permission.
-
-  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
-  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
-  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
-  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
-  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
-  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
-  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
-  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
-  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
-  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
-  POSSIBILITY OF SUCH DAMAGE. */
-
-
-/* avr/iotn2313a.h - definitions for ATtiny2313A */
-
-/* This file should only be included from <avr/io.h>, never directly. */
+/**
+ * @file avr/iotn2313a.h
+ *
+ * @brief Definitions for ATtiny2313A
+ *
+ * This file should only be included from <avr/io.h>, never directly.
+ */
+
+/*
+ *  Copyright (c) 2009 Atmel Corporation
+ *  All rights reserved.
+ *
+ *   Redistribution and use in source and binary forms, with or without
+ *   modification, are permitted provided that the following conditions are met:
+ *
+ * * Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ *
+ * * Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in
+ *   the documentation and/or other materials provided with the
+ *   distribution.
+ *
+ * * Neither the name of the copyright holders nor the names of
+ *   contributors may be used to endorse or promote products derived
+ *   from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
+ * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ * POSSIBILITY OF SUCH DAMAGE.
+ */
 
 #ifndef _AVR_IO_H_
@@ -42,5 +47,5 @@
 #else
 #  error "Attempt to include more than one <avr/ioXXX.h> file."
-#endif 
+#endif
 
 
@@ -48,4 +53,10 @@
 #define _AVR_ATtiny2313A_H_ 1
 
+/**
+ *  @defgroup Avr_io4434 AT90S4434 Definitions
+ *
+ *  @ingroup avr
+ */
+/**@{*/
 
 /* Registers and associated bit numbers. */
@@ -765,4 +776,4 @@
 #define SCL_BIT   7
 
+/**@}*/
 #endif /* _AVR_ATtiny2313A_H_ */
-
Index: cpukit/score/cpu/avr/avr/iotn861a.h
===================================================================
--- cpukit/score/cpu/avr/avr/iotn861a.h	(revision 9abeca85e54e3213fd8a62e570586a30468440a7)
+++ cpukit/score/cpu/avr/avr/iotn861a.h	(revision b98bb9e973c1f1292a24e090d03ddb9ea678ca21)
@@ -1,36 +1,41 @@
-/* Copyright (c) 2009 Atmel Corporation
-   All rights reserved.
-
-   Redistribution and use in source and binary forms, with or without
-   modification, are permitted provided that the following conditions are met:
-
-   * Redistributions of source code must retain the above copyright
-     notice, this list of conditions and the following disclaimer.
-
-   * Redistributions in binary form must reproduce the above copyright
-     notice, this list of conditions and the following disclaimer in
-     the documentation and/or other materials provided with the
-     distribution.
-
-   * Neither the name of the copyright holders nor the names of
-     contributors may be used to endorse or promote products derived
-     from this software without specific prior written permission.
-
-  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
-  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
-  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
-  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
-  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
-  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
-  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
-  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
-  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
-  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
-  POSSIBILITY OF SUCH DAMAGE. */
-
-
-/* avr/iotn861a.h - definitions for ATtiny861A */
-
-/* This file should only be included from <avr/io.h>, never directly. */
+/**
+ * @file avr/iotn861a.h
+ *
+ * @brief Definitions for ATtiny861A
+ *
+ * This file should only be included from <avr/io.h>, never directly.
+ */
+
+/*
+ *  Copyright (c) 2009 Atmel Corporation
+ *  All rights reserved.
+ *
+ *   Redistribution and use in source and binary forms, with or without
+ *   modification, are permitted provided that the following conditions are met:
+ *
+ * * Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ *
+ * * Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in
+ *   the documentation and/or other materials provided with the
+ *   distribution.
+ *
+ * * Neither the name of the copyright holders nor the names of
+ *   contributors may be used to endorse or promote products derived
+ *   from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
+ * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ * POSSIBILITY OF SUCH DAMAGE.
+ */
 
 #ifndef _AVR_IO_H_
@@ -42,5 +47,5 @@
 #else
 #  error "Attempt to include more than one <avr/ioXXX.h> file."
-#endif 
+#endif
 
 
@@ -48,4 +53,10 @@
 #define _AVR_ATtiny861A_H_ 1
 
+/**
+ *  @defgroup Avr_iotn861a ATtiny861A Definitions
+ *
+ *  @ingroup avr
+ */
+/**@{*/
 
 /* Registers and associated bit numbers. */
@@ -972,4 +983,4 @@
 #define PA0_BIT   ADC0
 
+/**@}*/
 #endif /* _AVR_ATtiny861A_H_ */
-
Index: cpukit/score/cpu/avr/avr/iotn87.h
===================================================================
--- cpukit/score/cpu/avr/avr/iotn87.h	(revision 9abeca85e54e3213fd8a62e570586a30468440a7)
+++ cpukit/score/cpu/avr/avr/iotn87.h	(revision b98bb9e973c1f1292a24e090d03ddb9ea678ca21)
@@ -1,36 +1,41 @@
-/* Copyright (c) 2009 Atmel Corporation
-   All rights reserved.
-
-   Redistribution and use in source and binary forms, with or without
-   modification, are permitted provided that the following conditions are met:
-
-   * Redistributions of source code must retain the above copyright
-     notice, this list of conditions and the following disclaimer.
-
-   * Redistributions in binary form must reproduce the above copyright
-     notice, this list of conditions and the following disclaimer in
-     the documentation and/or other materials provided with the
-     distribution.
-
-   * Neither the name of the copyright holders nor the names of
-     contributors may be used to endorse or promote products derived
-     from this software without specific prior written permission.
-
-  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
-  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
-  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
-  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
-  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
-  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
-  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
-  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
-  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
-  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
-  POSSIBILITY OF SUCH DAMAGE. */
-
-
-/* avr/iotn87.h - definitions for ATtiny87 */
-
-/* This file should only be included from <avr/io.h>, never directly. */
+/**
+ * @file avr/iotn87.h
+ *
+ * @brief Definitions for ATtiny87
+ *
+ * This file should only be included from <avr/io.h>, never directly.
+ */
+
+/*
+ *  Copyright (c) 2009 Atmel Corporation
+ *  All rights reserved.
+ *
+ *   Redistribution and use in source and binary forms, with or without
+ *   modification, are permitted provided that the following conditions are met:
+ *
+ * * Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ *
+ * * Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in
+ *   the documentation and/or other materials provided with the
+ *   distribution.
+ *
+ * * Neither the name of the copyright holders nor the names of
+ *   contributors may be used to endorse or promote products derived
+ *   from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
+ * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ * POSSIBILITY OF SUCH DAMAGE.
+ */
 
 #ifndef _AVR_IO_H_
@@ -42,5 +47,5 @@
 #else
 #  error "Attempt to include more than one <avr/ioXXX.h> file."
-#endif 
+#endif
 
 
@@ -48,4 +53,10 @@
 #define _AVR_ATtiny87_H_ 1
 
+/**
+ *  @defgroup Avr_iotn87 ATtiny87 Definitions
+ *
+ *  @ingroup avr
+ */
+/**@{*/
 
 /* Registers and associated bit numbers. */
@@ -842,5 +853,4 @@
 #define SIGNATURE_2 0x87
 
-
+/**@}*/
 #endif /* _AVR_ATtiny87_H_ */
-
Index: cpukit/score/cpu/avr/avr/iox192d3.h
===================================================================
--- cpukit/score/cpu/avr/avr/iox192d3.h	(revision 9abeca85e54e3213fd8a62e570586a30468440a7)
+++ cpukit/score/cpu/avr/avr/iox192d3.h	(revision b98bb9e973c1f1292a24e090d03ddb9ea678ca21)
@@ -1,36 +1,41 @@
-/* Copyright (c) 2009 Atmel Corporation
-   All rights reserved.
-
-   Redistribution and use in source and binary forms, with or without
-   modification, are permitted provided that the following conditions are met:
-
-   * Redistributions of source code must retain the above copyright
-     notice, this list of conditions and the following disclaimer.
-
-   * Redistributions in binary form must reproduce the above copyright
-     notice, this list of conditions and the following disclaimer in
-     the documentation and/or other materials provided with the
-     distribution.
-
-   * Neither the name of the copyright holders nor the names of
-     contributors may be used to endorse or promote products derived
-     from this software without specific prior written permission.
-
-  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
-  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
-  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
-  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
-  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
-  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
-  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
-  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
-  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
-  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
-  POSSIBILITY OF SUCH DAMAGE. */
-
-
-/* avr/iox192d3.h - definitions for ATxmega192D3 */
-
-/* This file should only be included from <avr/io.h>, never directly. */
+/**
+ * @file avr/iox192d3.h
+ *
+ * @brief Definitions for ATxmega192D3
+ *
+ * This file should only be included from <avr/io.h>, never directly.
+ */
+
+/*
+ *  Copyright (c) 2009 Atmel Corporation
+ *  All rights reserved.
+ *
+ *   Redistribution and use in source and binary forms, with or without
+ *   modification, are permitted provided that the following conditions are met:
+ *
+ * * Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ *
+ * * Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in
+ *   the documentation and/or other materials provided with the
+ *   distribution.
+ *
+ * * Neither the name of the copyright holders nor the names of
+ *   contributors may be used to endorse or promote products derived
+ *   from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
+ * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ * POSSIBILITY OF SUCH DAMAGE.
+ */
 
 #ifndef _AVR_IO_H_
@@ -42,5 +47,5 @@
 #else
 #  error "Attempt to include more than one <avr/ioXXX.h> file."
-#endif 
+#endif
 
 
@@ -48,4 +53,10 @@
 #define _AVR_ATxmega192D3_H_ 1
 
+/**
+ *  @defgroup Avr_iox192d3 ATxmega192D3 Definitions
+ *
+ *  @ingroup avr
+ */
+/**@{*/
 
 /* Ungrouped common registers */
@@ -5295,19 +5306,19 @@
 // Generic Port Pins
 
-#define PIN0_bm 0x01 
+#define PIN0_bm 0x01
 #define PIN0_bp 0
 #define PIN1_bm 0x02
 #define PIN1_bp 1
-#define PIN2_bm 0x04 
+#define PIN2_bm 0x04
 #define PIN2_bp 2
-#define PIN3_bm 0x08 
+#define PIN3_bm 0x08
 #define PIN3_bp 3
-#define PIN4_bm 0x10 
+#define PIN4_bm 0x10
 #define PIN4_bp 4
-#define PIN5_bm 0x20 
+#define PIN5_bm 0x20
 #define PIN5_bp 5
-#define PIN6_bm 0x40 
+#define PIN6_bm 0x40
 #define PIN6_bp 6
-#define PIN7_bm 0x80 
+#define PIN7_bm 0x80
 #define PIN7_bp 7
 
@@ -5641,5 +5652,4 @@
 #define SIGNATURE_2 0x49
 
-
+/**@}*/
 #endif /* _AVR_ATxmega192D3_H_ */
-
Index: cpukit/score/cpu/avr/avr/iox64a3.h
===================================================================
--- cpukit/score/cpu/avr/avr/iox64a3.h	(revision 9abeca85e54e3213fd8a62e570586a30468440a7)
+++ cpukit/score/cpu/avr/avr/iox64a3.h	(revision b98bb9e973c1f1292a24e090d03ddb9ea678ca21)
@@ -1,36 +1,41 @@
-/* Copyright (c) 2009 Atmel Corporation
-   All rights reserved.
-
-   Redistribution and use in source and binary forms, with or without
-   modification, are permitted provided that the following conditions are met:
-
-   * Redistributions of source code must retain the above copyright
-     notice, this list of conditions and the following disclaimer.
-
-   * Redistributions in binary form must reproduce the above copyright
-     notice, this list of conditions and the following disclaimer in
-     the documentation and/or other materials provided with the
-     distribution.
-
-   * Neither the name of the copyright holders nor the names of
-     contributors may be used to endorse or promote products derived
-     from this software without specific prior written permission.
-
-  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
-  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
-  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
-  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
-  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
-  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
-  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
-  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
-  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
-  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
-  POSSIBILITY OF SUCH DAMAGE. */
-
-
-/* avr/iox64a3.h - definitions for ATxmega64A3 */
-
-/* This file should only be included from <avr/io.h>, never directly. */
+/**
+ * @file avr/iox64a3.h
+ *
+ * @brief Definitions for ATxmega64A3
+ *
+ * This file should only be included from <avr/io.h>, never directly.
+ */
+
+/*
+ *  Copyright (c) 2009 Atmel Corporation
+ *  All rights reserved.
+ *
+ *   Redistribution and use in source and binary forms, with or without
+ *   modification, are permitted provided that the following conditions are met:
+ *
+ * * Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ *
+ * * Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in
+ *   the documentation and/or other materials provided with the
+ *   distribution.
+ *
+ * * Neither the name of the copyright holders nor the names of
+ *   contributors may be used to endorse or promote products derived
+ *   from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
+ * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ * POSSIBILITY OF SUCH DAMAGE.
+ */
 
 #ifndef _AVR_IO_H_
@@ -42,5 +47,5 @@
 #else
 #  error "Attempt to include more than one <avr/ioXXX.h> file."
-#endif 
+#endif
 
 
@@ -48,4 +53,10 @@
 #define _AVR_ATxmega64A3_H_ 1
 
+/**
+ *  @defgroup Avr_iox64a3 ATxmega64A3 Definitions
+ *
+ *  @ingroup avr
+ */
+/**@{*/
 
 /* Ungrouped common registers */
@@ -6438,19 +6449,19 @@
 // Generic Port Pins
 
-#define PIN0_bm 0x01 
+#define PIN0_bm 0x01
 #define PIN0_bp 0
 #define PIN1_bm 0x02
 #define PIN1_bp 1
-#define PIN2_bm 0x04 
+#define PIN2_bm 0x04
 #define PIN2_bp 2
-#define PIN3_bm 0x08 
+#define PIN3_bm 0x08
 #define PIN3_bp 3
-#define PIN4_bm 0x10 
+#define PIN4_bm 0x10
 #define PIN4_bp 4
-#define PIN5_bm 0x20 
+#define PIN5_bm 0x20
 #define PIN5_bp 5
-#define PIN6_bm 0x40 
+#define PIN6_bm 0x40
 #define PIN6_bp 6
-#define PIN7_bm 0x80 
+#define PIN7_bm 0x80
 #define PIN7_bp 7
 
@@ -6885,5 +6896,4 @@
 #define SIGNATURE_2 0x42
 
-
+/**@}*/
 #endif /* _AVR_ATxmega64A3_H_ */
-
Index: cpukit/score/cpu/avr/avr/iox64d3.h
===================================================================
--- cpukit/score/cpu/avr/avr/iox64d3.h	(revision 9abeca85e54e3213fd8a62e570586a30468440a7)
+++ cpukit/score/cpu/avr/avr/iox64d3.h	(revision b98bb9e973c1f1292a24e090d03ddb9ea678ca21)
@@ -1,36 +1,41 @@
-/* Copyright (c) 2009 Atmel Corporation
-   All rights reserved.
-
-   Redistribution and use in source and binary forms, with or without
-   modification, are permitted provided that the following conditions are met:
-
-   * Redistributions of source code must retain the above copyright
-     notice, this list of conditions and the following disclaimer.
-
-   * Redistributions in binary form must reproduce the above copyright
-     notice, this list of conditions and the following disclaimer in
-     the documentation and/or other materials provided with the
-     distribution.
-
-   * Neither the name of the copyright holders nor the names of
-     contributors may be used to endorse or promote products derived
-     from this software without specific prior written permission.
-
-  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
-  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
-  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
-  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
-  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
-  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
-  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
-  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
-  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
-  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
-  POSSIBILITY OF SUCH DAMAGE. */
-
-
-/* avr/iox64d3.h - definitions for ATxmega64D3 */
-
-/* This file should only be included from <avr/io.h>, never directly. */
+/**
+ * @file avr/iox64d3.h
+ *
+ * @brief Definitions for ATxmega64D3
+ *
+ * This file should only be included from <avr/io.h>, never directly.
+ */
+
+/*
+ *  Copyright (c) 2009 Atmel Corporation
+ *  All rights reserved.
+ *
+ *   Redistribution and use in source and binary forms, with or without
+ *   modification, are permitted provided that the following conditions are met:
+ *
+ * * Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ *
+ * * Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in
+ *   the documentation and/or other materials provided with the
+ *   distribution.
+ *
+ * * Neither the name of the copyright holders nor the names of
+ *   contributors may be used to endorse or promote products derived
+ *   from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
+ * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ * POSSIBILITY OF SUCH DAMAGE.
+ */
 
 #ifndef _AVR_IO_H_
@@ -42,5 +47,5 @@
 #else
 #  error "Attempt to include more than one <avr/ioXXX.h> file."
-#endif 
+#endif
 
 
@@ -48,4 +53,10 @@
 #define _AVR_ATxmega64D3_H_ 1
 
+/**
+ *  @defgroup Avr_iox64d3 ATxmega64D3 Definitions
+ *
+ *  @ingroup avr
+ */
+/**@{*/
 
 /* Ungrouped common registers */
@@ -5309,19 +5320,19 @@
 // Generic Port Pins
 
-#define PIN0_bm 0x01 
+#define PIN0_bm 0x01
 #define PIN0_bp 0
 #define PIN1_bm 0x02
 #define PIN1_bp 1
-#define PIN2_bm 0x04 
+#define PIN2_bm 0x04
 #define PIN2_bp 2
-#define PIN3_bm 0x08 
+#define PIN3_bm 0x08
 #define PIN3_bp 3
-#define PIN4_bm 0x10 
+#define PIN4_bm 0x10
 #define PIN4_bp 4
-#define PIN5_bm 0x20 
+#define PIN5_bm 0x20
 #define PIN5_bp 5
-#define PIN6_bm 0x40 
+#define PIN6_bm 0x40
 #define PIN6_bp 6
-#define PIN7_bm 0x80 
+#define PIN7_bm 0x80
 #define PIN7_bp 7
 
@@ -5655,5 +5666,4 @@
 #define SIGNATURE_2 0x4A
 
-
+/**@}*/
 #endif /* _AVR_ATxmega64D3_H_ */
-
Index: cpukit/score/cpu/avr/avr/lock.h
===================================================================
--- cpukit/score/cpu/avr/avr/lock.h	(revision 9abeca85e54e3213fd8a62e570586a30468440a7)
+++ cpukit/score/cpu/avr/avr/lock.h	(revision b98bb9e973c1f1292a24e090d03ddb9ea678ca21)
@@ -1,186 +1,190 @@
-/* Copyright (c) 2007, Atmel Corporation
-   All rights reserved.
-
-   Redistribution and use in source and binary forms, with or without
-   modification, are permitted provided that the following conditions are met:
-
-   * Redistributions of source code must retain the above copyright
-     notice, this list of conditions and the following disclaimer.
-
-   * Redistributions in binary form must reproduce the above copyright
-     notice, this list of conditions and the following disclaimer in
-     the documentation and/or other materials provided with the
-     distribution.
-
-   * Neither the name of the copyright holders nor the names of
-     contributors may be used to endorse or promote products derived
-     from this software without specific prior written permission.
-
-  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
-  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
-  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
-  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
-  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
-  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
-  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
-  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
-  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
-  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
-  POSSIBILITY OF SUCH DAMAGE. */
-
-
-/* avr/lock.h - Lock Bits API */
+/**
+ * @file avr/lock.h
+ *
+ * @brief Lock Bits API
+ *  \par Introduction
+ *
+ *  The Lockbit API allows a user to specify the lockbit settings for the
+ *  specific AVR device they are compiling for. These lockbit settings will be
+ *  placed in a special section in the ELF output file, after linking.
+ *
+ *  Programming tools can take advantage of the lockbit information embedded in
+ *  the ELF file, by extracting this information and determining if the lockbits
+ *  need to be programmed after programming the Flash and EEPROM memories.
+ *  This also allows a single ELF file to contain all the
+ *  information needed to program an AVR.
+ *
+ *  To use the Lockbit API, include the <avr/io.h> header file, which in turn
+ *  automatically includes the individual I/O header file and the <avr/lock.h>
+ *  file. These other two files provides everything necessary to set the AVR
+ *  lockbits.
+ *
+ *  \par Lockbit API
+ *
+ *  Each I/O header file may define up to 3 macros that controls what kinds
+ *  of lockbits are available to the user.
+ *
+ *  If __LOCK_BITS_EXIST is defined, then two lock bits are available to the
+ *  user and 3 mode settings are defined for these two bits.
+ *
+ *  If __BOOT_LOCK_BITS_0_EXIST is defined, then the two BLB0 lock bits are
+ *  available to the user and 4 mode settings are defined for these two bits.
+ *
+ *  If __BOOT_LOCK_BITS_1_EXIST is defined, then the two BLB1 lock bits are
+ *  available to the user and 4 mode settings are defined for these two bits.
+ *
+ *  If __BOOT_LOCK_APPLICATION_TABLE_BITS_EXIST is defined then two lock bits
+ *  are available to set the locking mode for the Application Table Section
+ *  (which is used in the XMEGA family).
+ *
+ *  If __BOOT_LOCK_APPLICATION_BITS_EXIST is defined then two lock bits are
+ *  available to set the locking mode for the Application Section (which is used
+ *  in the XMEGA family).
+ *
+ *  If __BOOT_LOCK_BOOT_BITS_EXIST is defined then two lock bits are available
+ *  to set the locking mode for the Boot Loader Section (which is used in the
+ *  XMEGA family).
+ *
+ *  The AVR lockbit modes have inverted values, logical 1 for an unprogrammed
+ *  (disabled) bit and logical 0 for a programmed (enabled) bit. The defined
+ *  macros for each individual lock bit represent this in their definition by a
+ *  bit-wise inversion of a mask. For example, the LB_MODE_3 macro is defined
+ *  as:
+ *  \code
+ *  #define LB_MODE_3  (0xFC)
+ *  \endcode
+ *
+ *  To combine the lockbit mode macros together to represent a whole byte,
+ *  use the bitwise AND operator, like so:
+ *  \code
+ *  (LB_MODE_3 & BLB0_MODE_2)
+ *  \endcode
+ *
+ *  <avr/lock.h> also defines a macro that provides a default lockbit value:
+ *  LOCKBITS_DEFAULT which is defined to be 0xFF.
+ *
+ *  See the AVR device specific datasheet for more details about these
+ *  lock bits and the available mode settings.
+ *
+ *  A convenience macro, LOCKMEM, is defined as a GCC attribute for a
+ *  custom-named section of ".lock".
+ *
+ *  A convenience macro, LOCKBITS, is defined that declares a variable, __lock,
+ *  of type unsigned char with the attribute defined by LOCKMEM. This variable
+ *  allows the end user to easily set the lockbit data.
+ *
+ *  \note If a device-specific I/O header file has previously defined LOCKMEM,
+ *  then LOCKMEM is not redefined. If a device-specific I/O header file has
+ *  previously defined LOCKBITS, then LOCKBITS is not redefined. LOCKBITS is
+ *  currently known to be defined in the I/O header files for the XMEGA devices.
+ *
+ *  \par API Usage Example
+ *
+ *  Putting all of this together is easy:
+ *
+ *  \code
+ *  #include <avr/io.h>
+ *
+ *  LOCKBITS = (LB_MODE_1 & BLB0_MODE_3 & BLB1_MODE_4);
+ *
+ *  int main(void)
+ *  {
+ *      return 0;
+ *  }
+ *  \endcode
+ *
+ *  Or:
+ *
+ *  \code
+ *  #include <avr/io.h>
+ *
+ *  unsigned char __lock __attribute__((section (".lock"))) =
+ *      (LB_MODE_1 & BLB0_MODE_3 & BLB1_MODE_4);
+ *
+ *  int main(void)
+ *  {
+ *      return 0;
+ *  }
+ *  \endcode
+ *
+ *
+ *
+ *  However there are a number of caveats that you need to be aware of to
+ *  use this API properly.
+ *
+ *  Be sure to include <avr/io.h> to get all of the definitions for the API.
+ *  The LOCKBITS macro defines a global variable to store the lockbit data. This
+ *  variable is assigned to its own linker section. Assign the desired lockbit
+ *  values immediately in the variable initialization.
+ *
+ *  The .lock section in the ELF file will get its values from the initial
+ *  variable assignment ONLY. This means that you can NOT assign values to
+ *  this variable in functions and the new values will not be put into the
+ *  ELF .lock section.
+ *
+ *  The global variable is declared in the LOCKBITS macro has two leading
+ *  underscores, which means that it is reserved for the "implementation",
+ *  meaning the library, so it will not conflict with a user-named variable.
+ *
+ *  You must initialize the lockbit variable to some meaningful value, even
+ *  if it is the default value. This is because the lockbits default to a
+ *  logical 1, meaning unprogrammed. Normal uninitialized data defaults to all
+ *  locgial zeros. So it is vital that all lockbits are initialized, even with
+ *  default data. If they are not, then the lockbits may not programmed to the
+ *  desired settings and can possibly put your device into an unrecoverable
+ *  state.
+ *
+ *  Be sure to have the -mmcu=<em>device</em> flag in your compile command line and
+ *  your linker command line to have the correct device selected and to have
+ *  the correct I/O header file included when you include <avr/io.h>.
+ *
+ *  You can print out the contents of the .lock section in the ELF file by
+ *  using this command line:
+ *  \code
+ *  avr-objdump -s -j .lock <ELF file>
+ *  \endcode
+ */
+
+/*
+ *  Copyright (c) 2007, Atmel Corporation
+ *  All rights reserved.
+ *
+ *   Redistribution and use in source and binary forms, with or without
+ *   modification, are permitted provided that the following conditions are met:
+ *
+ * * Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ *
+ * * Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in
+ *   the documentation and/or other materials provided with the
+ *   distribution.
+ *
+ * * Neither the name of the copyright holders nor the names of
+ *   contributors may be used to endorse or promote products derived
+ *   from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
+ * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ * POSSIBILITY OF SUCH DAMAGE.
+ */
 
 #ifndef _AVR_LOCK_H_
 #define _AVR_LOCK_H_  1
 
-
-/** \file */
-/** \defgroup avr_lock <avr/lock.h>: Lockbit Support
-
-    \par Introduction
-
-    The Lockbit API allows a user to specify the lockbit settings for the 
-    specific AVR device they are compiling for. These lockbit settings will be 
-    placed in a special section in the ELF output file, after linking.
-
-    Programming tools can take advantage of the lockbit information embedded in
-    the ELF file, by extracting this information and determining if the lockbits
-    need to be programmed after programming the Flash and EEPROM memories.
-    This also allows a single ELF file to contain all the
-    information needed to program an AVR. 
-
-    To use the Lockbit API, include the <avr/io.h> header file, which in turn
-    automatically includes the individual I/O header file and the <avr/lock.h>
-    file. These other two files provides everything necessary to set the AVR
-    lockbits.
-    
-    \par Lockbit API
-    
-    Each I/O header file may define up to 3 macros that controls what kinds
-    of lockbits are available to the user.
-    
-    If __LOCK_BITS_EXIST is defined, then two lock bits are available to the
-    user and 3 mode settings are defined for these two bits.
-    
-    If __BOOT_LOCK_BITS_0_EXIST is defined, then the two BLB0 lock bits are
-    available to the user and 4 mode settings are defined for these two bits.
-    
-    If __BOOT_LOCK_BITS_1_EXIST is defined, then the two BLB1 lock bits are
-    available to the user and 4 mode settings are defined for these two bits.
-
-    If __BOOT_LOCK_APPLICATION_TABLE_BITS_EXIST is defined then two lock bits
-    are available to set the locking mode for the Application Table Section 
-    (which is used in the XMEGA family).
-    
-    If __BOOT_LOCK_APPLICATION_BITS_EXIST is defined then two lock bits are
-    available to set the locking mode for the Application Section (which is used
-    in the XMEGA family).
-    
-    If __BOOT_LOCK_BOOT_BITS_EXIST is defined then two lock bits are available
-    to set the locking mode for the Boot Loader Section (which is used in the
-    XMEGA family).
-
-    The AVR lockbit modes have inverted values, logical 1 for an unprogrammed 
-    (disabled) bit and logical 0 for a programmed (enabled) bit. The defined 
-    macros for each individual lock bit represent this in their definition by a 
-    bit-wise inversion of a mask. For example, the LB_MODE_3 macro is defined 
-    as:
-    \code
-    #define LB_MODE_3  (0xFC)
-`   \endcode
-    
-    To combine the lockbit mode macros together to represent a whole byte,
-    use the bitwise AND operator, like so:
-    \code
-    (LB_MODE_3 & BLB0_MODE_2)
-    \endcode
-    
-    <avr/lock.h> also defines a macro that provides a default lockbit value:
-    LOCKBITS_DEFAULT which is defined to be 0xFF.
-
-    See the AVR device specific datasheet for more details about these
-    lock bits and the available mode settings.
-    
-    A convenience macro, LOCKMEM, is defined as a GCC attribute for a 
-    custom-named section of ".lock".
-    
-    A convenience macro, LOCKBITS, is defined that declares a variable, __lock, 
-    of type unsigned char with the attribute defined by LOCKMEM. This variable
-    allows the end user to easily set the lockbit data.
-
-    \note If a device-specific I/O header file has previously defined LOCKMEM,
-    then LOCKMEM is not redefined. If a device-specific I/O header file has
-    previously defined LOCKBITS, then LOCKBITS is not redefined. LOCKBITS is
-    currently known to be defined in the I/O header files for the XMEGA devices.
-
-    \par API Usage Example
-    
-    Putting all of this together is easy:
-    
-    \code
-    #include <avr/io.h>
-
-    LOCKBITS = (LB_MODE_1 & BLB0_MODE_3 & BLB1_MODE_4);
-
-    int main(void)
-    {
-        return 0;
-    }
-    \endcode
-    
-    Or:
-    
-    \code
-    #include <avr/io.h>
-
-    unsigned char __lock __attribute__((section (".lock"))) = 
-        (LB_MODE_1 & BLB0_MODE_3 & BLB1_MODE_4);
-
-    int main(void)
-    {
-        return 0;
-    }
-    \endcode
-    
-    
-    
-    However there are a number of caveats that you need to be aware of to
-    use this API properly.
-    
-    Be sure to include <avr/io.h> to get all of the definitions for the API.
-    The LOCKBITS macro defines a global variable to store the lockbit data. This 
-    variable is assigned to its own linker section. Assign the desired lockbit 
-    values immediately in the variable initialization.
-    
-    The .lock section in the ELF file will get its values from the initial 
-    variable assignment ONLY. This means that you can NOT assign values to 
-    this variable in functions and the new values will not be put into the
-    ELF .lock section.
-    
-    The global variable is declared in the LOCKBITS macro has two leading 
-    underscores, which means that it is reserved for the "implementation",
-    meaning the library, so it will not conflict with a user-named variable.
-    
-    You must initialize the lockbit variable to some meaningful value, even
-    if it is the default value. This is because the lockbits default to a 
-    logical 1, meaning unprogrammed. Normal uninitialized data defaults to all 
-    locgial zeros. So it is vital that all lockbits are initialized, even with 
-    default data. If they are not, then the lockbits may not programmed to the 
-    desired settings and can possibly put your device into an unrecoverable 
-    state.
-    
-    Be sure to have the -mmcu=<em>device</em> flag in your compile command line and
-    your linker command line to have the correct device selected and to have 
-    the correct I/O header file included when you include <avr/io.h>.
-
-    You can print out the contents of the .lock section in the ELF file by
-    using this command line:
-    \code
-    avr-objdump -s -j .lock <ELF file>
-    \endcode
-
-*/
-
+/**
+ *  @defgroup avr_lock Lockbit Support
+ *
+ *  @ingroup avr
+ */
+/**@{*/
 
 #ifndef __ASSEMBLER__
@@ -236,3 +240,4 @@
 #define LOCKBITS_DEFAULT (0xFF)
 
+/**@}*/
 #endif /* _AVR_LOCK_H_ */
Index: cpukit/score/cpu/avr/avr/signal.h
===================================================================
--- cpukit/score/cpu/avr/avr/signal.h	(revision 9abeca85e54e3213fd8a62e570586a30468440a7)
+++ cpukit/score/cpu/avr/avr/signal.h	(revision b98bb9e973c1f1292a24e090d03ddb9ea678ca21)
@@ -1,31 +1,39 @@
-/* Copyright (c) 2002,2005,2006 Marek Michalkiewicz
-   All rights reserved.
+/**
+ * @file
+ *
+ * @brief Use <avr/interrupt.h>
+ */
 
-   Redistribution and use in source and binary forms, with or without
-   modification, are permitted provided that the following conditions are met:
-
-   * Redistributions of source code must retain the above copyright
-     notice, this list of conditions and the following disclaimer.
-
-   * Redistributions in binary form must reproduce the above copyright
-     notice, this list of conditions and the following disclaimer in
-     the documentation and/or other materials provided with the
-     distribution.
-
-   * Neither the name of the copyright holders nor the names of
-     contributors may be used to endorse or promote products derived
-     from this software without specific prior written permission.
-
-  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
-  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
-  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
-  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
-  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
-  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
-  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
-  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
-  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
-  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
-  POSSIBILITY OF SUCH DAMAGE. */
+/*
+ *  Copyright (c) 2002, 2005, 2006 Marek Michalkiewicz
+ *  All rights reserved.
+ *
+ *   Redistribution and use in source and binary forms, with or without
+ *   modification, are permitted provided that the following conditions are met:
+ *
+ * * Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ *
+ * * Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in
+ *   the documentation and/or other materials provided with the
+ *   distribution.
+ *
+ * * Neither the name of the copyright holders nor the names of
+ *   contributors may be used to endorse or promote products derived
+ *   from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
+ * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ * POSSIBILITY OF SUCH DAMAGE.
+ */
 
 
@@ -33,6 +41,14 @@
 #define _AVR_SIGNAL_H_
 
+/**
+ *  @defgroup Avr_signal Signal
+ *
+ *  @ingroup avr
+ */
+/**@{*/
+
 #warning "This header file is obsolete.  Use <avr/interrupt.h>."
 #include <avr/interrupt.h>
 
+/**@}*/
 #endif /* _AVR_SIGNAL_H_ */
Index: cpukit/score/cpu/no_cpu/rtems/asm.h
===================================================================
--- cpukit/score/cpu/no_cpu/rtems/asm.h	(revision 9abeca85e54e3213fd8a62e570586a30468440a7)
+++ cpukit/score/cpu/no_cpu/rtems/asm.h	(revision b98bb9e973c1f1292a24e090d03ddb9ea678ca21)
@@ -1,4 +1,6 @@
 /**
  * @file rtems/asm.h
+ *
+ * @brief Addresses Incompatible Flavors Problems
  *
  *  This include file attempts to address the problems
@@ -7,10 +9,10 @@
  *  use of leading underscores on symbols and the requirement
  *  that register names be preceded by a %.
+ *
+ *  NOTE: The spacing in the use of these macros
+ *        is critical to them working as advertised.
  */
 
 /*
- *  NOTE: The spacing in the use of these macros
- *        is critical to them working as advertised.
- *
  *  COPYRIGHT:
  *
@@ -26,4 +28,11 @@
 #ifndef _RTEMS_ASM_H
 #define _RTEMS_ASM_H
+
+/**
+ *  @defgroup no_cpuAsm Address Incompatible Flavors Problems
+ *
+ *  @ingroup no_cpu
+ */
+/**@{*/
 
 /*
@@ -121,3 +130,4 @@
 #define EXTERN(sym) .globl SYM (sym)
 
+/**@}*/
 #endif
